Bug 1633133 - Sometimes crashes on "What's here?"
Summary: Sometimes crashes on "What's here?"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc338d03923e0d72b08ac8b791d...
Depends On:
Blocks: F29FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2018-09-26 09:11 UTC by Kamil Páral
Modified: 2018-10-23 15:04 UTC (History)
13 users (show)

Fixed In Version: gnome-maps-3.30.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-23 15:04:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (110.45 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: cgroup (355 bytes, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: core_backtrace (46.79 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: dso_list (31.96 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: environ (2.18 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: maps (186.85 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: mountinfo (4.13 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: open_fds (3.17 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-09-26 09:11 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-maps/issues/134 None None None 2018-10-22 16:20:42 UTC

Description Kamil Páral 2018-09-26 09:11:13 UTC
Description of problem:
Plan a route and then click somewhere and select "What's here?" option. Might be a race, but it crashes pretty frequently.

Version-Release number of selected component:
gjs-1.54.0-3.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: gtk_box_pack
executable:     /usr/bin/gjs-console
journald_cursor: s=1a38b5401d3c41189d87836b95e02866;i=1d61c0;b=c49ab7074a3c4aee85fc4405babe008c;m=831f4e315;t=576c27dd525b9;x=b095befa1b86fabe
kernel:         4.18.9-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_box_pack at gtkbox.c:1528
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 gjs_invoke_c_function at gi/function.cpp:1096
 #4 function_call at /usr/include/mozjs-60/js/RootingAPI.h:1128
 #5 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs60-60.2.0-1.fc29.x86_64/dist/include/js/CallArgs.h:286
 #6 Interpret(JSContext*, js::RunState&) at /usr/src/debug/mozjs60-60.2.0-1.fc29.x86_64/vm/Interpreter.cpp:3115
 #7 js::RunScript(JSContext*, js::RunState&) at /usr/src/debug/mozjs60-60.2.0-1.fc29.x86_64/vm/Interpreter.cpp:418
 #8 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs60-60.2.0-1.fc29.x86_64/vm/Interpreter.cpp:490
 #9 Interpret(JSContext*, js::RunState&) at /usr/src/debug/mozjs60-60.2.0-1.fc29.x86_64/vm/Interpreter.cpp:3115

Comment 1 Kamil Páral 2018-09-26 09:11:16 UTC
Created attachment 1487097 [details]
File: backtrace

Comment 2 Kamil Páral 2018-09-26 09:11:17 UTC
Created attachment 1487098 [details]
File: cgroup

Comment 3 Kamil Páral 2018-09-26 09:11:19 UTC
Created attachment 1487099 [details]
File: core_backtrace

Comment 4 Kamil Páral 2018-09-26 09:11:21 UTC
Created attachment 1487100 [details]
File: cpuinfo

Comment 5 Kamil Páral 2018-09-26 09:11:23 UTC
Created attachment 1487101 [details]
File: dso_list

Comment 6 Kamil Páral 2018-09-26 09:11:24 UTC
Created attachment 1487102 [details]
File: environ

Comment 7 Kamil Páral 2018-09-26 09:11:25 UTC
Created attachment 1487103 [details]
File: exploitable

Comment 8 Kamil Páral 2018-09-26 09:11:27 UTC
Created attachment 1487104 [details]
File: limits

Comment 9 Kamil Páral 2018-09-26 09:11:29 UTC
Created attachment 1487105 [details]
File: maps

Comment 10 Kamil Páral 2018-09-26 09:11:30 UTC
Created attachment 1487106 [details]
File: mountinfo

Comment 11 Kamil Páral 2018-09-26 09:11:32 UTC
Created attachment 1487107 [details]
File: open_fds

Comment 12 Kamil Páral 2018-09-26 09:11:33 UTC
Created attachment 1487108 [details]
File: proc_pid_status

Comment 13 František Zatloukal 2018-09-26 09:20:25 UTC
I've reproduced this:

Crashes the same way on my laptop, in VM (both with and without 3D accel) and on desktop with AMD GPU.

gnome-maps-3.30.0-1.fc29.x86_64
gjs-1.54.0-3.fc29.x86_64

Comment 14 sumantro 2018-09-26 09:24:10 UTC
I can reproduce it on baremetal x220 and VM too

gnome-maps-3.30.0-1

Comment 15 Chris Murphy 2018-10-15 19:28:21 UTC
Running into this today as well with Maps "What's here?"
gjs-1.54.1-2.fc29.x86_64

Comment 16 František Zatloukal 2018-10-17 11:39:15 UTC
Similar problem has been detected:

If you open routing tab and then right click somewhere on the map, GNOME Maps will crash after clicking on "What's here".

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/share/gnome-maps/org.gnome.Maps --gapplication-service
crash_function: gtk_box_pack
executable:     /usr/bin/gjs-console
journald_cursor: s=5e9e58eff60f468194257e41e939d80d;i=d0b0;b=ab702ee16df9438fbe95b64514e8314b;m=f45595c25;t=5786ac3a3a503;x=787ce155b64422c2
kernel:         4.18.13-300.fc29.x86_64
package:        gjs-1.54.1-2.fc29
reason:         gjs-console killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora Blocker Bugs Application 2018-10-17 11:42:29 UTC
Proposed as a Blocker for 29-final by Fedora user frantisekz using the blocker tracking app because:

 All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test.

Comment 18 Geoffrey Marr 2018-10-18 04:56:28 UTC
This is similar to 1637751...

One way to address a release blocker is to remove the app...

Comment 19 Geoffrey Marr 2018-10-18 21:39:30 UTC
Discussed during the 2018-10-18 Fedora 29 Go/No-Go meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test". 

We note that dropping the app from Workstation is acceptable if a fix is not available.

[1] https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2018-10-18/f29-final-go_no_go-meeting.2018-10-18-17.00.log.txt

Comment 20 Debarshi Ray 2018-10-19 08:50:16 UTC
(In reply to Kamil Páral from comment #0)
> Thread no. 1 (10 frames)
>  #0 gtk_box_pack at gtkbox.c:1528

From the full backtrace:
Program terminated with signal SIGSEGV, Segmentation fault.
#0  gtk_box_pack (box=0x0, child=0x55c070f92360, expand=0, fill=1, padding=0, pack_type=GTK_PACK_START) at gtkbox.c:1528

box=0x0, so no wonder it's crashing. :)

Comment 21 Debarshi Ray 2018-10-19 10:22:14 UTC
There's a fix in the works upstream:

<mlundblad> rishi: I fixed the crash on "what's here?"
<mlundblad> modern gjs triggers some weird cases where object linger in JS while the GObject was finalized
<mlundblad> did some hackery with bound properties to ensure the overpass query isn't poking on the finalized object
<mlundblad> will test it a bit more, and then push it for 3.30.2

(GNOME 3.30.2 is due on 24th October.)

Comment 22 Matthew Miller 2018-10-20 12:19:42 UTC
Upstream fix is nice, but I highly recommend dropping this from Workstation, especially given the second blocker (#1637751) even if it can't be reproduced. This app is more of a nifty toy that really useful over using https://www.openstreetmap.org/ — if we find significant demand for a maps app in our user base, we could make a web wrapper for that.

Comment 23 Kalev Lember 2018-10-22 13:46:25 UTC
https://gitlab.gnome.org/GNOME/gnome-maps/commit/af4994cf82d4201e88d0a71841dbb52169e49ad4 is an upstream commit that should fix the crash

Comment 24 Fedora Update System 2018-10-22 16:38:40 UTC
gnome-maps-3.30.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6dc96f6d57

Comment 25 Fedora Update System 2018-10-22 19:24:34 UTC
gnome-maps-3.30.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6dc96f6d57

Comment 26 Fedora Update System 2018-10-23 15:04:37 UTC
gnome-maps-3.30.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.